Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.process
Class Process

    java.lang.Object
      nl.tudelft.simulation.dsol.formalisms.process.Process

public abstract class Process
extends java.lang.Object

A Process
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Jan 19, 2004
Author:
  Peter Jacobs

Field Summary
`protected DEVSSimulatorInterface` | `simulator` the simulator to schedule on

Constructor Summary
`Process(DEVSSimulatorInterface simulator)` constructs a new Process

Method Summary
`protected void` | `hold(double duration)` holds the process for a duration
`abstract void` | `process()` processes the process.
`void` | `resume()` resumes this process
`protected void` | `suspend()` suspends the process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    protected DEVSSimulatorInterface simulator

  the simulator to schedule on

Constructor Detail

### Process

    public Process(DEVSSimulatorInterface simulator)

  constructs a new Process

Parameters:
  `simulator` - the simulator to schedule on

Method Detail

### process

    public abstract void process()
                          throws SimRuntimeException,
                                 java.rmi.RemoteException

  processes the process.

  Throws:
    `SimRuntimeException` - on simulation failure
    `java.rmi.RemoteException` - on remote network failure

### hold

    protected void hold(double duration)
                 throws SimRuntimeException,
                        java.rmi.RemoteException

  holds the process for a duration

  Parameters:
    `duration` - the duration
  Throws:
    `SimRuntimeException` - on negative duration
    `java.rmi.RemoteException` - on network failure

### resume

    public void resume()

  resumes this process

### suspend

    protected void suspend()
                    throws SimRuntimeException

  suspends the process. This method throughs an exception whenever it is not interpreted but executed directly on the JVM.

  Throws:
    `SimRuntimeException` - on direct invokation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.